Package dev.plex.listener.impl

# Class ChatListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.ChatListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class ChatListener extends PlexListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ChatListener.PlexChatRenderer`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final ChatListener.PlexChatRenderer`
`renderer`
`static final net.kyori.adventure.text.TextReplacementConfig`
`URL_REPLACEMENT_CONFIG`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`ChatListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onChat(io.papermc.paper.event.player.AsyncChatEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### URL_REPLACEMENT_CONFIG

public static final net.kyori.adventure.text.TextReplacementConfig URL_REPLACEMENT_CONFIG

### renderer

private final ChatListener.PlexChatRenderer renderer

## Constructor Details

### ChatListener

public ChatListener()

## Method Details

### onChat

public void onChat(io.papermc.paper.event.player.AsyncChatEvent event)